import java.util.*;

public class Company implements Comparable<Company> 
{
    private String name;
    private int ico;
    
    public Company(String name, int ico) {
        this.name = name;
        this.ico = ico;
    }
    
    public int compareTo(Company obj) {
        //return this.name.compareTo(obj.name);
        return this.ico - obj.ico;
    }
    
    public String toString() {
        return "Company " + name + " with ICO " + ico;
    }
    
    public String getName() {
        return name;
    }
    
    public int getICO() {
        return ico;
    }

    public boolean equals(Object obj) {
        return (obj instanceof Company) && ((Company)obj).ico == this.ico;
    }
    
    public int hashCode() {
        return ico;
    }
    
}









