import java.util.*;

public class DemoMap {
    
    public static void abbrevDemo() {
        /*
        String[] array = new String[] {"a", "b"};
        
        List<String> list = ["a", "b"];
        String str = list[0];
        
        Set<String> set = {"a", "b"};
        
        Map<String, Integer> map = {"a":1, "b":200};
        */
    }
    
    public static void collection() {
        List<List<String>> list = new ArrayList<>();
        
        List<String> grp1 = new ArrayList<String>();
        list.add(grp1);
        grp1.add("Karel");
        grp1.add("Pepa");
        
        System.out.println(list);
        
        Map<String, List<String>> map = new HashMap<>();
        List<String> party = new ArrayList<>();
        party.add("Zlatuska");
        party.add("Babis");
        
        map.put("ANO", party);
        
        for (String p: map.keySet()) {
            if (p.equals("ANO")) {
                for (String name: map.get(p)) {
                    System.out.println(name);
                }
            }
        }
    }
    
    public static void sortedSetDemo() {
        SortedSet<Company> set = new TreeSet<>(new CompanyCombinedComparator());
        
        set.add(new Company("A", 333));
        set.add(new Company("B", 222));
        set.add(new Company("C", 222));
        set.add(null);
        
        
        for (Company comp : set) {
            System.out.println(comp);
        }
    }
    
    public static void sortedMapDemo() {
        SortedMap<Company,Integer> map = new TreeMap<>();
        
        Company c1 = new Company("A", 333);
        Company c2 = new Company("C", 333);
        Company c3 = new Company("B", 111);
        
        map.put(c1, 200);
        map.put(c2, 300);
        map.put(c3, 200);
        
        for (Company key : map.keySet()) {
            int value = map.get(key);
            System.out.println(key+":"+value);
        }
        
        for (int i : map.values()) {
            // je usporadano? 
        }
    }
    
    
}
 
